Subject: Re: [PATCH 1/4] C: s/0/NULL/ for pointer type

From: Danh Doan <[email-masked]>
Date: Fri, 24 Apr 2020 08:09:24 +0700

On 2020-04-23 17:54:30-0700, Junio C Hamano <[email-masked]> wrote:
> Ramsay Jones <[email-masked]> writes:
> 
> > Actually, I have a patch somewhere which suppressed the sparse warning
> > for the '= { 0 }' token sequence used in these initializations. However,
> > I don't seem to be able to find them at the moment! :(
> 
> AHHHHHhhhhhhhh.  
> 
> Thanks for reminding.  Yeah, I recall that the concensus of those
> who were vocal in that old discussion [*1*] was that "= { 0 }"
> should be taken as an idiom and should not be subject to s/0/NULL/
> conversion.

So, to follow that idiom, this patch should be changed, too?
https://lore.kernel.org/git/[email-masked]/

+Cc: Dscho and Han-Wen

> > [Luc, this topic came up on the sparse and kernel mailing-lists at one
> > point, but I didn't get around to posting my patch to the list - something
> > came up. Hopefully, I will find some time to find it and post it soon.]
> 
> 
> [References]
> 
> *1*
> 
> https://lore.kernel.org/git/[email-masked]/

-- 
Danh